Skip to main content
GET
https://api.rankspot.ai
/
v1
/
topics
/
{id}
Get a topic
curl --request GET \
  --url https://api.rankspot.ai/v1/topics/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "clx...",
  "title": "How to Start a Blog in 2024",
  "status": "planned",
  "keywords": [
    {
      "id": "clx...",
      "keyword": "start a blog"
    }
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "description": "A comprehensive guide for beginners.",
  "additionalInstructions": "Focus on WordPress.",
  "position": 1,
  "categoryId": "clx...",
  "articleId": "clx..."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

id
string
required
Example:

"clx..."

title
string
required
Example:

"How to Start a Blog in 2024"

status
enum<string>
required

planned | generating | generated

Available options:
planned,
generating,
generated
Example:

"planned"

keywords
object[]
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
description
string | null
Example:

"A comprehensive guide for beginners."

additionalInstructions
string | null
Example:

"Focus on WordPress."

position
number | null
Example:

1

categoryId
string | null
Example:

"clx..."

articleId
string | null
Example:

"clx..."